## ros-lunar-katana-tutorials 1.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(katana_tutorials)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  actionlib
  trajectory_msgs
  control_msgs
  sensor_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
  CATKIN_DEPENDS
  roscpp
  actionlib
  trajectory_msgs
  control_msgs
  sensor_msgs
  DEPENDS
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(follow_joint_trajectory_client src/follow_joint_trajectory_client.cpp)
target_link_libraries(follow_joint_trajectory_client ${catkin_LIBRARIES})
add_dependencies(follow_joint_trajectory_client ${catkin_EXPORTED_TARGETS})

add_executable(pr2_joint_trajectory_client src/pr2_joint_trajectory_client.cpp)
target_link_libraries(pr2_joint_trajectory_client ${catkin_LIBRARIES})
add_dependencies(pr2_joint_trajectory_client ${catkin_EXPORTED_TARGETS})

install(TARGETS follow_joint_trajectory_client pr2_joint_trajectory_client
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-lunar-katana-tutorials (1.1.2-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-lunar-katana-tutorials (1.1.1-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-lunar-katana-tutorials (1.1.0-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-lunar-katana-tutorials (1.0.8-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 25 May 2017 22:00:00 -0000

ros-lunar-katana-tutorials (1.0.7-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Fri, 10 Feb 2017 23:00:00 -0000

ros-lunar-katana-tutorials (1.0.6-0stretch) stretch; urgency=high

  * Initial release to Kinetic
  * Contributors: Martin Günther

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Thu, 26 Jan 2017 23:00:00 -0000

ros-lunar-katana-tutorials (1.0.5-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 11 Apr 2016 22:00:00 -0000

ros-lunar-katana-tutorials (1.0.4-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 10 Apr 2016 22:00:00 -0000

ros-lunar-katana-tutorials (1.0.3-0stretch) stretch; urgency=high

  * remove dependencies to non-existing cmake targets
  * Contributors: Michael Görner

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 28 Jun 2015 22:00:00 -0000

ros-lunar-katana-tutorials (1.0.2-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Tue, 05 May 2015 22:00:00 -0000

ros-lunar-katana-tutorials (1.0.1-0stretch) stretch; urgency=high



 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Mon, 16 Mar 2015 23:00:00 -0000

ros-lunar-katana-tutorials (1.0.0-0stretch) stretch; urgency=high

  * Initial release to Debian packages
  * Contributors: Martin Günther, Henning Deeken, Jochen Sprickerhof, Michael Görner

 -- Martin Günther <mguenthe@uni-osnabrueck.de>  Sun, 15 Mar 2015 23:00:00 -0000

=== debian/control ===
Source: ros-lunar-katana-tutorials
Section: misc
Priority: extra
Maintainer: Martin Günther <mguenthe@uni-osnabrueck.de>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-catkin, ros-lunar-control-msgs, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-trajectory-msgs
Homepage: http://ros.org/wiki/katana_tutorials
Standards-Version: 3.9.2

Package: ros-lunar-katana-tutorials
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-control-msgs, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-trajectory-msgs
Description: This package contains test and demo programs for the katana_driver stack.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-katana-tutorials//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
